org.jbpm.services.task.impl.util

## Class HumanTaskHandlerHelper

- java.lang.Object
- - org.jbpm.services.task.impl.util.HumanTaskHandlerHelper

-     public class HumanTaskHandlerHelper
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HumanTaskHandlerHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Map<String,String>` | `asMap(String parsableString)`
    `protected static Date` | `getDeadlineDurationDate(String durationStr, int repeatCount)`
    `protected static int` | `getDeadlineRepeatLimit(String deadlineStr)`
    `protected static org.kie.internal.task.api.model.Deadline` | `getNewDeadline(String expiresAt, Date deadlineDate, String actionComponent, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `static List<org.kie.internal.task.api.model.Deadline>` | `parseDeadlineString(String deadlineInfo, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators, org.kie.api.runtime.Environment environment, boolean unboundRepeatableOnly)`
    `protected static List<org.kie.internal.task.api.model.Notification>` | `parseNotifications(String notificationString, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)`
    `protected static List<org.kie.internal.task.api.model.Reassignment>` | `parseReassignment(String reassignString)`
    `static org.kie.internal.task.api.model.Deadlines` | `setDeadlines(Map<String,Object> parameters, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators, org.kie.api.runtime.Environment environment)`
    `static org.kie.internal.task.api.model.Deadlines` | `setDeadlines(Map<String,Object> parameters, List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators, org.kie.api.runtime.Environment environment, boolean unboundRepeatableOnly)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HumanTaskHandlerHelper

          public HumanTaskHandlerHelper()

  - ### Method Detail

    - #### setDeadlines

          public static org.kie.internal.task.api.model.Deadlines setDeadlines(Map<String,Object> parameters,
                                                                               List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators,
                                                                               org.kie.api.runtime.Environment environment)

    - #### setDeadlines

          public static org.kie.internal.task.api.model.Deadlines setDeadlines(Map<String,Object> parameters,
                                                                               List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators,
                                                                               org.kie.api.runtime.Environment environment,
                                                                               boolean unboundRepeatableOnly)

    - #### parseDeadlineString

          public static List<org.kie.internal.task.api.model.Deadline> parseDeadlineString(String deadlineInfo,
                                                                                           List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators,
                                                                                           org.kie.api.runtime.Environment environment,
                                                                                           boolean unboundRepeatableOnly)

    - #### getNewDeadline

          protected static org.kie.internal.task.api.model.Deadline getNewDeadline(String expiresAt,
                                                                                   Date deadlineDate,
                                                                                   String actionComponent,
                                                                                   List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### parseNotifications

          protected static List<org.kie.internal.task.api.model.Notification> parseNotifications(String notificationString,
                                                                                                 List<org.kie.api.task.model.OrganizationalEntity> businessAdministrators)

    - #### getDeadlineRepeatLimit

          protected static int getDeadlineRepeatLimit(String deadlineStr)

    - #### getDeadlineDurationDate

          protected static Date getDeadlineDurationDate(String durationStr,
                                                        int repeatCount)

    - #### parseReassignment

          protected static List<org.kie.internal.task.api.model.Reassignment> parseReassignment(String reassignString)

    - #### asMap

          protected static Map<String,String> asMap(String parsableString)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.